

def bReadAllRegs():
    ReadAllRegisters()
   

def bWriteAllRegs():
    SetFieldValue("RESET",0)
    SetFieldValue("RESET",1)
    WriteAllRegisters()
    
def bCheckEngineeringBits():
    Fields={'OUT_MUTE':1,'ASCEND':0,'ADDRESS_HOLD':0,'LD_EN':1,'MUXOUT_SEL_TM':1,'MUXOUT_SEL_ATP':0,'FCAL_DIRECTION':1,'SCAN_TM':0,'FCAL_PASS_CNT':0,'FCAL_ERR_CNT':1,'SM_CLK_EN':1,'PR_MN_EN':0,'SLOPE':0,'PR_MN_DLY':2,'DLL_LOCK_DLY':200,'DLL_RESET_DLY':3,'FCAL_SETL_DLY':1,'FCAL_PLL_LOCK_DLY':200,'FCAL_CHG_CORE_DLY':2,'LDO_DLY':25,'LDO_VCO_DLY':18,'SM_CLK_DIV':5,'LD_OVRD':0,'VCO_BIAS_OVRD':0,'PFD_OVRD':0,'CHDIV_OVRD':1,'MASH_OVRD':0,'OUT_OVRD':1,'PM_OVRD':0,'REF_OVRD':0,'DLL_OVRD':0,'DIV_OVRD':0,'CP_OVRD':1,'DBLR_OVRD':0,'VCO_BUF_OVRD':0,'FB_OVRD':0,'DIG_OVRD':0,'OMUX_OVRD':1,'PRMN_OVRD':0,'VTUNE_OVRD':0,'VCO_FASTCHG_OVRD':0,'VCO_BJT_OVRD':1,'REFOUT_DIG_EN':1,'PLL_R_PRE_RST':0,'DLL_CP_GAIN':24,'DLL_DLY':2,'DLL_FILT':1,'DLL_VCTL_PRE':0,'DLL_RST':0,'RDIV_DLLPOST_MUX':1,'PLL_R_EN':1,'PFD_EN':1,'PFD_DLY_EN':1,'PFD_DLY_PG':0,'CP_RANGE1':37,'CP_RANGE2':55,'CP_V1':20,'CP_V2':8,'CP_V3':24,'LPFLTR_BYP':1,'VCO_BJT_SIZE':15,'VCO_FASTCHG_EN':0,'VCO_IDAC_FXD_CUR':0,'VCO_IDAC_TEMPCO':5,'ACAL_VCO_IDAC_STRT':200,'VCO_IDAC_EN':1,'VCO_PKDT_AC_PD':0,'VCO_VARBIAS_PD':0,'VTM_PD':0,'VTUNEDRV_PD':1,'VTM_OPEN':0,'VCO_FASTCHG_ISEL':2,'VCO_PKDT_RECT_PD':0,'VCO_PKDT_TEMPCO':2,'VCO_BUF_BIAS_RES':1,'VCO_BIAS_HALF':0,'VCO_BUF_ITRIM':2,'VCO_BETA_HLP_EN':1,'VARBIAS_TEMPCO':2,'VARBIAS_LVLSET':0,'VCO_BETA_HLP_R_SEL':0,'VCO_SPARE':0,'PR_MN_IDAC':31,'PR_MN_SAME_VREF':0,'ACAL_SMARTTRIP':1,'ACAL_STEP_SETL_DLY':26,'ACAL_LIMIT':7,'VCO_ENBIAS_OVRD':0,'VCO_SELBIAS_OVRD':0,'VCOPATH_IBIAS_CTRL1':10532,'VCOPATH_IBIAS_CTRL2':132,'VCO_2X':0,'VCOHPATH_EN':0,'VCOLPATH_EN':1,'VCOMPATH_EN':0,'MASH_PH_STEP':0,'VCO_BUF_EN':1,'N_DIST_PD':0,'BUFMUX_PD':0,'ACAL_PKDT_THRES_1':16,'ACAL_PKDT_THRES_2':16,'ACAL_PKDT_THRES_3':16,'ACAL_PKDT_THRES_4':16,'ACAL_PKDT_THRES_5':16,'ACAL_PKDT_THRES_6':16,'ACAL_PKDT_THRES_7':16,'CHDIV_CLK_LVL_CTRL':15,'CHDIV_DBL_EN':1,'CHDIV_IQ_EN':1,'CHDIV_SEG_SEL_EN':1,'CHDIV_SEG1_PCTRL':3,'CHDIV_RST':0,'CHDIV_SEG_BYP':0,'CHDIV_OUTA_IQ':0,'CHDIV_OUTB_IQ':0,'SPARE_CHDIV':0,'PLL_N_PRE_BYP':0,'FCAL_CLRDET':0,'PLL_CHDIVPATH_PD':1,'PLL_NPATH_PD':0,'PLL_VCOPATH_PD':0,'FCAL_NRST':0,'PLL_N_BIAS':0,'PLL_N_MASHCLKGATE':0,'PH_SYNC_EN':1,'LPFLTR_ORDER':0,'MASH_EN':1,'OUTA_IDAC_PRE':3,'OUTA_FLTR_PD':0,'OUTB_IDAC_PRE':3,'OUTB_FLTR_PD':0,'OUT_ISET':0,'OUTX_ISET':0,'LDO_CP_EN':1,'LDO_DLL_EN':1,'LDO_MASH_EN':1,'LDO_PFD_EN':1,'LDO_REF_EN':1,'LDO_VCO_EN':1,'LDO_VCO_CURVE_ADJ':0,'LDO_CP_REG':768,'LDO_DLL_REG':768,'LDO_MASH_REG':16768,'LDO_REF_REG':128,'LDO_VCO_MAG':0,'LDO_VCO_TEMPCO':2,'PLL_FIN_PD':1,'ATP_SEL1':0,'ATP_SEL2':0,'ENRTEST':0,'NTST':0,'ACAL_CMP_IN_ATP_EN':0,'MUXOUT_HDRV':0,'SPARE_ANATOP1':2,'LD_TYPE':1,'LD_DLY':64,'LD_AMP_STG1_ITRIM':1,'LD_AMP_STG2_ITRIM':0,'LD_H_THRES_TRIM':1,'LD_L_THRES_TRIM':1,'LD_RC_TRIM':2}
    names = Fields.keys()
    values = Fields.values()
    
    UpdateStatusBar("--- Engineering Fields and their Defaults ---")
    for name, val in Fields.items():
        UpdateStatusBar("%s=%d" % (name, val) )
    
    UpdateStatusBar(" ")
    Failures=0
    for name, val in Fields.items():
        if globals()[name].iValue != val:
            Failures=Failures+1
            if (1==Failures):
                UpdateStatusBar("--- Incorrect Fields Found ...") 
            UpdateStatusBar("->%s=%d but should be %d" % (name, globals()[name].iValue, val) )
    if (0==Failures):
        UpdateStatusBar("--- No Incorrect Fields Found.")
    UpdateStatusBar("--- Engineering Field Check Complete ---")
